SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 

php-sqlsrv rpm build for : RedHat EL 7. For other distributions click php-sqlsrv.

Name : php-sqlsrv
Version : 5.8.1 Vendor : Remi Collet
Release : 1.el7.remi.7.4 Date : 2020-04-16 08:00:49
Group : Unspecified Source RPM : php-sqlsrv-5.8.1-1.el7.remi.7.4.src.rpm
Size : 1.50 MB
Packager : https://blog_remirepo_net/
Summary : Microsoft Drivers for PHP for SQL Server
Description :
The Microsoft Drivers for PHP for SQL Server are PHP extensions that allow for
the reading and writing of SQL Server data from within PHP scripts.

The SQLSRV extension provides a procedural interface while the PDO_SQLSRV
extension implements PDO for accessing data in all editions of SQL Server
2008 R2 and later (including Azure SQL DB).

These drivers rely on the Microsoft ODBC Driver for SQL Server to handle the
low-level communication with SQL Server.

You can download the Microsoft ODBC Driver from
https://docs.microsoft.com/en-us/sql/connect/odbc/download-odbc-driver-for-sql-server

Package built using msodbcsql17 version 17.4.
Package built for PHP 7.4.

RPM found in directory: /mirror/rpms.remirepo.net/enterprise/7/modular/x86_64

Content of RPM  Changelog  Provides Requires

Download
ftp.pbone.net  php-sqlsrv-5.8.1-1.el7.remi.7.4.x86_64.rpm
ftp.pbone.net  php-sqlsrv-5.8.1-1.el7.remi.7.4.x86_64.rpm
     

Provides :
config(php-sqlsrv)
php-pdo_sqlsrv
php-pdo_sqlsrv(x86-64)
php-pecl(pdo_sqlsrv)
php-pecl(pdo_sqlsrv)(x86-64)
php-pecl(sqlsrv)
php-pecl(sqlsrv)(x86-64)
php-sqlsrv
php-sqlsrv(x86-64)

Requires :
/bin/sh
/bin/sh
/bin/sh
config(php-sqlsrv) = 5.8.1-1.el7.remi.7.4
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libodbc.so.2()(64bit)
libodbcinst.so.2()(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
msodbcsql17(x86-64) >= 17.4
php(api) = 20190902-64
php(pdo-abi) = 20170320-64
php(zend-abi) = 20190902-64
php-pdo(x86-64)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1


Content of RPM :
/etc/php-zts.d/40-sqlsrv.ini
/etc/php.d/40-sqlsrv.ini
/usr/lib64/php-zts/modules/pdo_sqlsrv.so
/usr/lib64/php-zts/modules/sqlsrv.so
/usr/lib64/php/modules/pdo_sqlsrv.so
/usr/lib64/php/modules/sqlsrv.so
/usr/share/licenses/php-sqlsrv-5.8.1
/usr/share/licenses/php-sqlsrv-5.8.1/LICENSE
/var/lib/pear/pkgxml/php-pecl-pdo-sqlsrv.xml
/var/lib/pear/pkgxml/php-pecl-sqlsrv.xml